Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

Subject: Re: [OMPI devel] 1.7.4 status update
From: Jeff Squyres (jsquyres) (jsquyres_at_[hidden])
Date: 2014-01-22 21:41:11


Ok, here's my update: I fixed a bunch of issues in the Fortran support today; most are minor, but they took a while to verify (and some are slated for v1.7.5 because they aren't critical). I also added the ability to disable building the mpi_f08 module.

Here's what's on the trunk / v1.7, and will be in nightly tarballs soon (v1.7 is building now; I have to re-start the trunk one when v1.7 finishes because I goofed and it failed the first time):

- Fix for MPI_STATUS_IGNORE issue (a side-effect of the "protected" update the other day)
- Add some missing interfaces for MPI_Neighbor subroutines
- Add missing interfaces for the profiled versions of the MPI_Dist_graph subroutines
- Add missing pre-defined function callbacks in the mpi_f08 module

Here's what's on the trunk and still awaiting a code review (probably tomorrow) before it can go to v1.7:

- --enable-mpi-fortran behavior now allows you specify up to what level of Fortran bindings you want built:

  --enable-mpi-fortran: tries to build them all (this is the default)
  --enable-mpi-fortran=mpifh: only builds mpif.h support
  --enable-mpi-fortran=usempi: builds mpif.h and use mpi support
  --enable-mpi-fortran=usempif08: builds mpif.h, use mpi, and use mpi_f08 support
  --disable-mpi-fortran: does not build any Fortran support

So to disable the mpi_f08 bindings, you can --enable-mpi-fortran=usempi.

On Jan 22, 2014, at 5:45 PM, Jeff Squyres (jsquyres) <jsquyres_at_[hidden]> wrote:

> Update: I've been working all day on Fortran issues (pulling on one Paul-Fortran--sweater-thread revealed several other issues :-( ).
>
> I'll be sending an update soon...
>
>
>
> On Jan 22, 2014, at 5:40 PM, Paul Hargrove <phhargrove_at_[hidden]> wrote:
>
>>
>> On Wed, Jan 22, 2014 at 1:33 PM, Ralph Castain <rhc_at_[hidden]> wrote:
>> My main concern with 1.7.4 at the moment stems from all the Fortran changes we pushed into that release - this occurred *after* 1.7.3, and so those problems represent a regression in the 1.7 series.
>>
>> Unless I am missing something, the currently open Fortan issues are:
>> + XLF, which didn't work in 1.7.3 either (just verified this today)
>> + PathScale and Open64 which fail building in ompi/mpi/fortran/use-mpi-f08/
>>
>> The XLF issue is not a regression.
>> The remaining PathScale/Open64 issue MAY be a compiler bug.
>>
>> If Jeff follows through on his promise to implement --disable-mpi-fortran-08 then use of that option is a work-around for the regression on PathScale and Open64.
>>
>> -Paul
>>
>>
>> --
>> Paul H. Hargrove PHHargrove_at_[hidden]
>> Future Technologies Group
>> Computer and Data Sciences Department Tel: +1-510-495-2352
>> Lawrence Berkeley National Laboratory Fax: +1-510-486-6900
>> _______________________________________________
>> devel mailing list
>> devel_at_[hidden]
>> http://www.open-mpi.org/mailman/listinfo.cgi/devel
>
>
> --
> Jeff Squyres
> jsquyres_at_[hidden]
> For corporate legal information go to: http://www.cisco.com/web/about/doing_business/legal/cri/
>
> _______________________________________________
> devel mailing list
> devel_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/devel

-- 
Jeff Squyres
jsquyres_at_[hidden]
For corporate legal information go to: http://www.cisco.com/web/about/doing_business/legal/cri/